Bug 617 - LANG option not working for application
: LANG option not working for application
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Marathon
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-06 15:04 MSD by Eugene Budanov
Modified: 2012-12-18 18:59 MSK (History)
4 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eugene Budanov 2012-08-06 15:04:11 MSD
Description of problem:
Any programs running from terminal emulator with LANG option not changing locale.

Version-Release number of selected component (if applicable):
ROSA Marathon 2012, KDE 4.8.3

How reproducible:
F.ex: Run Konsole. Typing: LANG=en_GB.UTF-8 firefox but it will launch with Russian locale.
Comment 1 Alexander Burmashev 2012-08-06 15:10:16 MSD
confirmed, same behaviour on my pc
Comment 2 Dmitry Mikhirev 2012-08-09 16:40:17 MSD
Try using LANGUAGE instead LANG.
Comment 3 Eugene Budanov 2012-08-13 13:28:41 MSD
not help for me
Comment 4 Eugene Budanov 2012-08-13 13:35:46 MSD
for some application working LC_ALL= option, but is applied not for all apps.
Comment 5 Dmitry Mikhirev 2012-08-13 13:37:26 MSD
Is en_GB.UTF-8 locale available? Check `locale -a' output. Is firefox-en_GB package installed?
Comment 6 Dmitry Mikhirev 2012-08-13 13:41:07 MSD
BTW English localisation files from most packages are not being installed until you have locales-en package.
Comment 7 Eugene Budanov 2012-08-13 14:07:22 MSD
locales-en and locales-ru packages installed. en-GB locale installed:

locale -a output:

en_GB
en_GB.iso88591
en_GB.utf8
en_GB.UTF-8
Comment 8 Aleksandr Kazantcev 2012-08-13 14:13:06 MSD
See LANG=en_GB.UTF-8 locale

Only LANG switch, by other LC variables not

Try

LC_ALL=en_GB.UTF-8 firefox
Comment 9 Eugene Budanov 2012-08-13 14:41:13 MSD
LC_ALL working for firefox. But not for Kopete, for example.
Comment 10 Aleksandr Kazantcev 2012-08-13 14:54:32 MSD
In KDE you need change lang and restart X-server - only after that language options will implement. KDE and it's related apps not use standart LANG/LC mechanism, as i'm remember.
Comment 11 alexander barakin 2012-12-18 18:59:27 MSK
(In reply to comment #9)
> LC_ALL working for firefox. But not for Kopete, for example.

install package "kde-l10n-en_GB"